---
title: /v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting
slug: campaign-reporting-apis/v2advertisersadvertiseridcampaignscampaignideligibletargeting
createdAt: 2026-11-18T16:53:03.163Z
---

{
  "id": "z_Mig362OaUdiCIIXyLwo",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "<p>Retrieves all publishers, sites and ad units targetable by the specified campaign.\nReturns even sites not having any eligible ad unit since configured accepted sizes in the\nad unit or the ad unit itself could have been removed.\nOptionally, filtering by a specific <em>publisherId</em> or <em>siteId</em> can be applied.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "adGroupTypes",
          "type": "array",
          "description": "",
          "uniqueItems": true,
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "publisherId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "siteId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "EligibleTargetingResponse",
            "schema": [
              {
                "name": "publishers",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/PublisherTargetResponse",
                "customType": "PublisherTargetResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "sites",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/SiteTargetResponse",
                    "customType": "SiteTargetResponse[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "",
                        "format": "int32"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string<DESKTOP | MOBILE_WEB | MOBILE_APP | TABLET_APP | EMAIL>",
                        "description": "",
                        "enum": [
                          "DESKTOP",
                          "MOBILE_WEB",
                          "MOBILE_APP",
                          "TABLET_APP",
                          "EMAIL"
                        ]
                      },
                      {
                        "name": "domain",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "adUnits",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "modelRef": "#/components/schemas/AdUnitTargetResponse",
                        "customType": "AdUnitTargetResponse[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "",
                            "format": "int32"
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string<DISPLAY | FLUID_PRODUCT | FULL_PRODUCT>",
                            "description": "",
                            "enum": [
                              "DISPLAY",
                              "FLUID_PRODUCT",
                              "FULL_PRODUCT"
                            ]
                          },
                          {
                            "name": "location",
                            "kind": "optional",
                            "type": "string<CATEGORY_PAGE | SEARCH_PAGE | HOME_PAGE | PRODUCT_PAGE | CHECKOUT | MINI_SEARCH | EMAIL | EMAIL_ABANDONED_CART | AI_ASSISTANT>",
                            "description": "",
                            "enum": [
                              "CATEGORY_PAGE",
                              "SEARCH_PAGE",
                              "HOME_PAGE",
                              "PRODUCT_PAGE",
                              "CHECKOUT",
                              "MINI_SEARCH",
                              "EMAIL",
                              "EMAIL_ABANDONED_CART",
                              "AI_ASSISTANT"
                            ]
                          },
                          {
                            "name": "pagePosition",
                            "kind": "optional",
                            "type": "string<MAIN_GRID | CAROUSEL | BELOW_THE_FOLD | ABOVE_THE_FOLD | L1 | L2 | L3 | L4>",
                            "description": "",
                            "enum": [
                              "MAIN_GRID",
                              "CAROUSEL",
                              "BELOW_THE_FOLD",
                              "ABOVE_THE_FOLD",
                              "L1",
                              "L2",
                              "L3",
                              "L4"
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/EligibleTargetingResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Content",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting?adGroupTypes=array' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting?adGroupTypes=array\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting?adGroupTypes=array\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/eligible/targeting?adGroupTypes=array\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"publishers\": [\n    {\n      \"id\": \"\",\n      \"name\": \"\",\n      \"sites\": [\n        {\n          \"id\": \"\",\n          \"name\": \"\",\n          \"type\": \"\",\n          \"domain\": \"\",\n          \"adUnits\": [\n            {\n              \"id\": \"\",\n              \"name\": \"\",\n              \"type\": \"\",\n              \"location\": \"\",\n              \"pagePosition\": \"\"\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-4-422",
          "language": "422",
          "code": "// Unprocessable Content\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}